[arch-commits] Commit in (7 files)

Thomas Bächler thomas at archlinux.org
Sun Jun 7 11:37:55 UTC 2009


    Date: Sunday, June 7, 2009 @ 07:37:55
  Author: thomas
Revision: 41787

- Fix the "init=/bin/sh not working" bug in kinit by truncating the init_argv at the right place
- Rebuild all klibc packages due to ABI change (probably gcc update)
- Merge updates from module-init-tools to klibc-module-init-tools

Added:
  klibc/trunk/kinit-fix-init-cmdline.patch
Modified:
  klibc-extras/trunk/PKGBUILD
  klibc-kbd/trunk/PKGBUILD
  klibc-module-init-tools/trunk/PKGBUILD
  klibc-udev/trunk/PKGBUILD
  klibc/trunk/PKGBUILD
  v86d/trunk/PKGBUILD

------------------------------------------+
 klibc-extras/trunk/PKGBUILD              |    2 +-
 klibc-kbd/trunk/PKGBUILD                 |    2 +-
 klibc-module-init-tools/trunk/PKGBUILD   |    7 +++----
 klibc-udev/trunk/PKGBUILD                |    2 +-
 klibc/trunk/PKGBUILD                     |   10 +++++++---
 klibc/trunk/kinit-fix-init-cmdline.patch |   29 +++++++++++++++++++++++++++++
 v86d/trunk/PKGBUILD                      |    2 +-
 7 files changed, 43 insertions(+), 11 deletions(-)

Modified: klibc/trunk/PKGBUILD
===================================================================
--- klibc/trunk/PKGBUILD	2009-06-07 11:37:45 UTC (rev 41786)
+++ klibc/trunk/PKGBUILD	2009-06-07 11:37:55 UTC (rev 41787)
@@ -12,7 +12,7 @@
 pkgver=1.5.15
 _klibcbranch=Testing #Stable/Testing
 _kver=2.6.29-ARCH
-pkgrel=2
+pkgrel=3
 pkgdesc="A minimal libc made for early-userspace"
 arch=(i686 x86_64)
 url="http://www.kernel.org/pub/linux/libs/klibc/"
@@ -23,12 +23,14 @@
         klibc-compile-shared-by-default.patch
         klibc-Kbuild.patch
         klibc-x86_64-fix-io.h.patch
-        klibc-fix-2.6.28-includes.patch)
+        klibc-fix-2.6.28-includes.patch
+        kinit-fix-init-cmdline.patch)
 md5sums=('b5527be46f24779884557b11888c8075'
          'c263a7c3fd290fcc84a4e230d456d022'
          'ff5b113024256de31af59c2f1a966516'
          'fcee75cfaa65638b07f9cc4a7719fa29'
-         '85e39751debc304119eb481d6bc26d59')
+         '85e39751debc304119eb481d6bc26d59'
+         '70f306bcb91b39c9be27d99593d4dcae')
                   
 build()
 {
@@ -45,6 +47,8 @@
   patch -p1 -i ../klibc-x86_64-fix-io.h.patch || return 1
   # fix includes for 2.6.28 build
   patch -p1 -i ../klibc-fix-2.6.28-includes.patch || return 1
+  # fix the commandline of the init program
+  patch -p1 -i ../kinit-fix-init-cmdline.patch || return 1
   
   make EXTRA_KLIBCFLAGS='' || return 1
   make INSTALLROOT=$pkgdir mandir=/usr/share/man install || return 1

Added: klibc/trunk/kinit-fix-init-cmdline.patch
===================================================================
--- klibc/trunk/kinit-fix-init-cmdline.patch	                        (rev 0)
+++ klibc/trunk/kinit-fix-init-cmdline.patch	2009-06-07 11:37:55 UTC (rev 41787)
@@ -0,0 +1,29 @@
+diff -Nur klibc-1.5.15.orig/usr/kinit/kinit.c klibc-1.5.15/usr/kinit/kinit.c
+--- klibc-1.5.15.orig/usr/kinit/kinit.c	2009-01-04 20:28:03.000000000 +0100
++++ klibc-1.5.15/usr/kinit/kinit.c	2009-06-07 12:55:38.643000948 +0200
+@@ -191,7 +191,6 @@
+ 
+ /* This is the argc and argv we pass to init */
+ const char *init_path;
+-int init_argc;
+ char **init_argv;
+ 
+ extern ssize_t readfile(const char *, char **);
+@@ -211,7 +210,6 @@
+ 	srand48(now.tv_usec ^ (now.tv_sec << 24));
+ 
+ 	/* Default parameters for anything init-like we execute */
+-	init_argc = argc;
+ 	init_argv = alloca((argc+1)*sizeof(char *));
+ 	memcpy(init_argv, argv, (argc+1)*sizeof(char *));
+ 
+@@ -258,7 +256,8 @@
+ 	/* Find an -- argument, and if so append to the command line */
+ 	for (i = 1; i < argc; i++) {
+ 		if (!strcmp(argv[i], "--")) {
+-			i++;
++			/* The -- marks the end of init's command line */
++			init_argv[i++] = NULL;
+ 			break;
+ 		}
+ 	}

Modified: klibc-extras/trunk/PKGBUILD
===================================================================
--- klibc-extras/trunk/PKGBUILD	2009-06-07 11:37:45 UTC (rev 41786)
+++ klibc-extras/trunk/PKGBUILD	2009-06-07 11:37:55 UTC (rev 41787)
@@ -3,7 +3,7 @@
 
 pkgname=klibc-extras
 pkgver=2.5
-pkgrel=3
+pkgrel=4
 pkgdesc="Extra apps for klibc early-userspace"
 arch=(i686 x86_64)
 url="http://projects.archlinux.org/?p=klibc-extras.git"

Modified: klibc-kbd/trunk/PKGBUILD
===================================================================
--- klibc-kbd/trunk/PKGBUILD	2009-06-07 11:37:45 UTC (rev 41786)
+++ klibc-kbd/trunk/PKGBUILD	2009-06-07 11:37:55 UTC (rev 41787)
@@ -3,7 +3,7 @@
 
 pkgname=klibc-kbd
 pkgver=1.15.20080312
-pkgrel=9
+pkgrel=10
 pkgdesc="Keytable files and keyboard utilities"
 arch=('i686' 'x86_64')
 url="ftp://ftp.altlinux.org/pub/people/legion/kbd/"

Modified: klibc-module-init-tools/trunk/PKGBUILD
===================================================================
--- klibc-module-init-tools/trunk/PKGBUILD	2009-06-07 11:37:45 UTC (rev 41786)
+++ klibc-module-init-tools/trunk/PKGBUILD	2009-06-07 11:37:55 UTC (rev 41787)
@@ -2,8 +2,8 @@
 # Maintainer: Thomas Baechler <thomas at archlinux.org>
 
 pkgname=klibc-module-init-tools
-pkgver=3.5
-pkgrel=2
+pkgver=3.8
+pkgrel=1
 pkgdesc="Utilities for inserting and removing modules from the Linux kernel"
 arch=(i686 x86_64)
 url="http://www.kernel.org"
@@ -11,7 +11,7 @@
 groups=('base')
 depends=('klibc' $(basename /lib/klibc-*.so .so))
 source=(http://www.kernel.org/pub/linux/utils/kernel/module-init-tools/module-init-tools-$pkgver.tar.bz2)
-md5sums=('2b47686247fc9a99bfdb9dd1d1d80e6f')
+md5sums=('470d7830fd263d29a92149da6ae9f122')
 
 build() {
   cd $srcdir/module-init-tools-$pkgver
@@ -23,4 +23,3 @@
   rm -f $pkgdir/usr/lib/klibc/sbin/{generate-modprobe.conf,insmod.static}
   rm -rf $pkgdir/usr/lib/klibc/{share,man}
 }
-

Modified: klibc-udev/trunk/PKGBUILD
===================================================================
--- klibc-udev/trunk/PKGBUILD	2009-06-07 11:37:45 UTC (rev 41786)
+++ klibc-udev/trunk/PKGBUILD	2009-06-07 11:37:55 UTC (rev 41787)
@@ -3,7 +3,7 @@
 
 pkgname=klibc-udev
 pkgver=141
-pkgrel=2
+pkgrel=3
 pkgdesc="udev compiled for klibc"
 arch=(i686 x86_64)
 url="http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html"

Modified: v86d/trunk/PKGBUILD
===================================================================
--- v86d/trunk/PKGBUILD	2009-06-07 11:37:45 UTC (rev 41786)
+++ v86d/trunk/PKGBUILD	2009-06-07 11:37:55 UTC (rev 41787)
@@ -2,7 +2,7 @@
 # Maintainer: Thomas Baechler <thomas at archlinux.org>
 pkgname="v86d"
 pkgver=0.1.9
-pkgrel=4
+pkgrel=5
 pkgdesc="userspace helper for uvesafb that runs x86 code in an emulated environment"
 url="http://dev.gentoo.org/~spock/projects/uvesafb/"
 license=('GPL2')




More information about the arch-commits mailing list